Subject: Re: bug#64696: 30.0.50; indent-to inherits preceding text properties, including 'invisible

From: Ihor Radchenko <[email-masked]>
Date: Wed, 19 Jul 2023 08:42:45 +0000

Stefan Monnier <[email-masked]> writes:

>>> FWIW, I can't see any good reason to inherit properties here, other than
>>> "we've always done that", but I'd be surprised if making this change
>>> won't affect some other use elsewhere :-(
>>
>> ??? That's a non-starter, from where I stand.
>
> I formulated it differently, but you're just agreeing with the "but ..."
> quoted above :-)

Note that unlike `indent-to', `insert' does not inherit properties.
Not to say that changing `indent-to' is safe, but there is slight
historical inconsistency here.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>